/// <reference types="react" />
import type { Horizontal, LegendProps, Vertical } from '../types';
declare type Positions = {
    [K in Vertical | Horizontal]?: number;
};
interface ValidatedPosition {
    key?: Vertical | Horizontal;
    value?: number;
}
export declare function exclusiveProps(margins: Positions, a: keyof Positions, b: keyof Positions, position: string): ValidatedPosition;
export default function Legend({ position, ...legendMargins }: LegendProps): JSX.Element;
export {};
