"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Line(props) {
    const { x1: oldX1, x2: oldX2, y1: oldY1, y2: oldY2, ...lineProps } = props;
    const { x: x1, y: y1 } = (0, hooks_1.usePosition)({ x: oldX1, y: oldY1 });
    const { x: x2, y: y2 } = (0, hooks_1.usePosition)({ x: oldX2, y: oldY2 });
    return (0, jsx_runtime_1.jsx)("line", Object.assign({}, lineProps, { x1: x1, x2: x2, y1: y1, y2: y2 }), void 0);
}
exports.default = Line;
