"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Circle(props) {
    const { cx: oldCx, cy: oldCy, r: oldR, ...otherProps } = props;
    const { cx, cy, rx: r } = (0, hooks_1.useEllipsePosition)({
        cx: oldCx,
        cy: oldCy,
        rx: oldR,
        ry: oldR,
    });
    return (0, jsx_runtime_1.jsx)("circle", Object.assign({ cx: cx, cy: cy, r: r }, otherProps), void 0);
}
exports.default = Circle;
